dcmprscp(1)

NAME
dcmprscp - DICOM basic grayscale print management SCP

SYNOPSIS

dcmprscp [options]

DESCRIPTION

The dcmprscp utility implements the DICOM Basic Grayscale Print Management Service Class as SCP. It also supports the optional Presentation LUT SOP Class. The utility is intended for use within the DICOMscope viewer.

The dcmprscp utility accepts print jobs from a remote Print SCU. It does not create real hardcopies but stores print jobs in the local DICOMscope database as a set of Stored Print objects (one per page) and Hardcopy Grayscale images (one per film box N-SET). The DICOMscope application allows to load a Stored Print object created by dcmprscp and to render a screen preview of the hardcopy. The dcmprscp utility reads the characteristics of the printer to be emulated from the configuration file.

OPTIONS

  general options

  -h  --help
        print this help text and exit
      --version
        print version information and exit
  -v  --verbose
        verbose mode, print actions
  -d  --debug
        debug mode, print debug information

  processing options

  -c  --config  [f]ilename: string
        process using settings from configuration file
  -p  --printer  [n]ame: string (default: 1st printer in cfg file)
        select printer with identifier [n] from cfg file
  +d  --dump
        print all DIMSE messages
  -l  --logfile
        print to log file instead of stdout

COMMAND LINE

All command line tools use the following notation for parameters: square brackets enclose optional values (0-1), three trailing dots indicate that multiple values are allowed (1-n), a combination of both means 0 to n values.

Command line options are distinguished from parameters by a leading '+' or '-' sign, respectively. Usually, order and position of command line options are arbitrary (i.e. they can appear anywhere). However, if options are mutually exclusive the rightmost appearance is used. This behaviour conforms to the standard evaluation rules of common Unix shells.

In addition, one or more command files can be specified using an '@' sign as a prefix to the filename (e.g. @command.txt). Such a command argument is replaced by the content of the corresponding text file (multiple whitespaces are treated as a single separator) prior to any further evaluation. Please note that a command file cannot contain another command file. This simple but effective approach allows to summarize common combinations of options/parameters and avoids longish and confusing command lines (an example is provided in file share/data/dumppat.txt).

ENVIRONMENT

The dcmprscp utility will attempt to load DICOM data dictionaries specified in the DCMDICTPATH environment variable. By default, i.e. if the DCMDICTPATH environment variable is not set, the file <PREFIX>/lib/dicom.dic will be loaded unless the dictionary is built into the application (default for Windows).

The default behaviour should be preferred and the DCMDICTPATH environment variable only used when alternative data dictionaries are required. The DCMDICTPATH environment variable has the same format as the Unix shell PATH variable in that a colon (':') separates entries. The data dictionary code will attempt to load each file specified in the DCMDICTPATH environment variable. It is an error if no data dictionary can be loaded.

FILES

etc/dcmpstat.cfg, etc/printers.cfg - sample configuration files

SEE ALSO

dcmprscu(1)

COPYRIGHT

Copyright (C) 1999-2004 by Kuratorium OFFIS e.V., Escherweg 2, 26121 Oldenburg, Germany.